function f = dog(pic, sc, theta),

if length(sc) == 1,
  sc(2) = sc(1);
end

if nargin < 3,
  theta = 0;
end
  

ps = size(pic);

mx = floor(ps/2) + 1;

[X, Y] = meshgrid((1:ps(2))-mx(2), (1:ps(1))-mx(1));

f = exp(-(X*cos(theta) + Y*sin(theta)).^2 / sc(1)^2 ...
        -(X*sin(theta) - Y*cos(theta)).^2 / sc(2)^2 );

return
